using System;
using System.Collections.Generic;
using System.Text;

#pragma warning disable CS1591

namespace $rootnamespace$.Bd 
{
	public static partial class Ggclipr_pkg
	{
					#region ACTUALIZAR_F_ULT_OPE
			
			[Nombre("GGCLIPR_PKG.ACTUALIZAR_F_ULT_OPE")]
						public delegate void __ACTUALIZAR_F_ULT_OPE_VVNDV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(1)] string p_tip_vc, 
							[NUMBER(8)] int? p_ggclipr_cod, 
							[DATE] DateTime? p_f_ult_ope, 
							[VARCHAR2(4000)] string p_opcion);

						/// <summary>
			/// Llama a ACTUALIZAR_F_ULT_OPE.
						/// </summary>
			public static void ACTUALIZAR_F_ULT_OPE(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_tip_vc, 
				int? p_ggclipr_cod, 
				DateTime? p_f_ult_ope, 
				string p_opcion,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__ACTUALIZAR_F_ULT_OPE_VVNDV v_actualizar_f_ult_ope;
				try {
					v_actualizar_f_ult_ope = Funcion.Crear<__ACTUALIZAR_F_ULT_OPE_VVNDV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.ACTUALIZAR_F_ULT_OPE");
				}
								try {
				v_actualizar_f_ult_ope(p_transaccion, 
					p_empgrupo_cod, 
					p_tip_vc, 
					p_ggclipr_cod, 
					p_f_ult_ope, 
					p_opcion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.ACTUALIZAR_F_ULT_OPE");
				}
							}
			
			
			#endregion

					#region AVERIGUA_GGCLASIF_COD
			
			[Nombre("GGCLIPR_PKG.AVERIGUA_GGCLASIF_COD")]
						[return: VARCHAR2(4000)]
						public delegate string __AVERIGUA_GGCLASIF_COD_VVNV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4000)] string grupo, 
							[VARCHAR2(4000)] string tipo_vc, 
							[NUMBER] decimal? cliente, 
							[VARCHAR2(4000)] string valor1);

						/// <summary>
			/// Llama a AVERIGUA_GGCLASIF_COD.
						/// </summary>
			public static string AVERIGUA_GGCLASIF_COD(
				System.Data.IDbTransaction p_transaccion, 
				string grupo, 
				string tipo_vc, 
				decimal? cliente, 
				string valor1,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__AVERIGUA_GGCLASIF_COD_VVNV v_averigua_ggclasif_cod;
				try {
					v_averigua_ggclasif_cod = Funcion.Crear<__AVERIGUA_GGCLASIF_COD_VVNV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.AVERIGUA_GGCLASIF_COD");
				}
									string v_resultado;
								try {
				v_resultado = v_averigua_ggclasif_cod(p_transaccion, 
					grupo, 
					tipo_vc, 
					cliente, 
					valor1);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.AVERIGUA_GGCLASIF_COD");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region BLOQUEO
			
			[Nombre("GGCLIPR_PKG.BLOQUEO")]
						public delegate void __BLOQUEO_VVVNNVoVoVoV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string grupo, 
							[VARCHAR2(4)] string p_emp_cod, 
							[VARCHAR2(1)] string v_tip_vc, 
							[NUMBER(8)] int? cliente, 
							[NUMBER(14, 2)] decimal? v_importe, 
							[VARCHAR2(1)] string tip_pag, 
							[VARCHAR2(1)] out string bloqueado_sn, 
							[VARCHAR2(1)] out string permiso_sn, 
							[VARCHAR2(4)] out string estado_f);

						/// <summary>
			/// Llama a BLOQUEO.
						/// </summary>
			public static void BLOQUEO(
				System.Data.IDbTransaction p_transaccion, 
				string grupo, 
				string p_emp_cod, 
				string v_tip_vc, 
				int? cliente, 
				decimal? v_importe, 
				string tip_pag, 
				out string bloqueado_sn, 
				out string permiso_sn, 
				out string estado_f,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__BLOQUEO_VVVNNVoVoVoV v_bloqueo;
				try {
					v_bloqueo = Funcion.Crear<__BLOQUEO_VVVNNVoVoVoV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.BLOQUEO");
				}
								try {
				v_bloqueo(p_transaccion, 
					grupo, 
					p_emp_cod, 
					v_tip_vc, 
					cliente, 
					v_importe, 
					tip_pag, 
					out bloqueado_sn, 
					out permiso_sn, 
					out estado_f);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.BLOQUEO");
				}
							}
			
			
			#endregion

					#region CALCULA_RIESGO_CLIENTE
			
			[Nombre("GGCLIPR_PKG.CALCULA_RIESGO_CLIENTE")]
						public delegate void __CALCULA_RIESGO_CLIENTE_N(
							System.Data.IDbTransaction p_transaccion, 
							[NUMBER] decimal? p_lisparam);

						/// <summary>
			/// Llama a CALCULA_RIESGO_CLIENTE.
						/// </summary>
			public static void CALCULA_RIESGO_CLIENTE(
				System.Data.IDbTransaction p_transaccion, 
				decimal? p_lisparam,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__CALCULA_RIESGO_CLIENTE_N v_calcula_riesgo_cliente;
				try {
					v_calcula_riesgo_cliente = Funcion.Crear<__CALCULA_RIESGO_CLIENTE_N>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.CALCULA_RIESGO_CLIENTE");
				}
								try {
				v_calcula_riesgo_cliente(p_transaccion, 
					p_lisparam);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.CALCULA_RIESGO_CLIENTE");
				}
							}
			
			
			#endregion

					#region CALCULAR_RIESGO_CLIENTE
			
			[Nombre("GGCLIPR_PKG.CALCULAR_RIESGO_CLIENTE")]
						public delegate void __CALCULAR_RIESGO_CLIENTE_VVVDD(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(1)] string p_tip_vc, 
							[VARCHAR2(4000)] string p_ggclipr_sel, 
							[DATE] DateTime? p_f_factura_desde, 
							[DATE] DateTime? p_f_factura_hasta);

						/// <summary>
			/// Llama a CALCULAR_RIESGO_CLIENTE.
						/// </summary>
			public static void CALCULAR_RIESGO_CLIENTE(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_tip_vc, 
				string p_ggclipr_sel, 
				DateTime? p_f_factura_desde, 
				DateTime? p_f_factura_hasta,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__CALCULAR_RIESGO_CLIENTE_VVVDD v_calcular_riesgo_cliente;
				try {
					v_calcular_riesgo_cliente = Funcion.Crear<__CALCULAR_RIESGO_CLIENTE_VVVDD>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.CALCULAR_RIESGO_CLIENTE");
				}
								try {
				v_calcular_riesgo_cliente(p_transaccion, 
					p_empgrupo_cod, 
					p_tip_vc, 
					p_ggclipr_sel, 
					p_f_factura_desde, 
					p_f_factura_hasta);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.CALCULAR_RIESGO_CLIENTE");
				}
							}
			
			
			#endregion

					#region CALCULAR_RIESGO_CLIENTE
			
			[Nombre("GGCLIPR_PKG.CALCULAR_RIESGO_CLIENTE")]
						public delegate void __CALCULAR_RIESGO_CLIENTE_VVNNDD(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(1)] string p_tip_vc, 
							[NUMBER(8)] int? p_ggclipr_cod_desde, 
							[NUMBER(8)] int? p_ggclipr_cod_hasta, 
							[DATE] DateTime? p_f_factura_desde, 
							[DATE] DateTime? p_f_factura_hasta);

						/// <summary>
			/// Llama a CALCULAR_RIESGO_CLIENTE.
						/// </summary>
			public static void CALCULAR_RIESGO_CLIENTE(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_tip_vc, 
				int? p_ggclipr_cod_desde, 
				int? p_ggclipr_cod_hasta, 
				DateTime? p_f_factura_desde, 
				DateTime? p_f_factura_hasta,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__CALCULAR_RIESGO_CLIENTE_VVNNDD v_calcular_riesgo_cliente;
				try {
					v_calcular_riesgo_cliente = Funcion.Crear<__CALCULAR_RIESGO_CLIENTE_VVNNDD>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.CALCULAR_RIESGO_CLIENTE");
				}
								try {
				v_calcular_riesgo_cliente(p_transaccion, 
					p_empgrupo_cod, 
					p_tip_vc, 
					p_ggclipr_cod_desde, 
					p_ggclipr_cod_hasta, 
					p_f_factura_desde, 
					p_f_factura_hasta);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.CALCULAR_RIESGO_CLIENTE");
				}
							}
			
			
			#endregion

					#region CALCULAR_RIESGO_CLIPR
			
			[Nombre("GGCLIPR_PKG.CALCULAR_RIESGO_CLIPR")]
						public delegate void __CALCULAR_RIESGO_CLIPR_VVVVVDDVVNNVVVVDDNNVVVVDDioNioNioNioN(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4000)] string p_gru, 
							[VARCHAR2(4000)] string p_emp, 
							[VARCHAR2(4000)] string p_clipr, 
							[VARCHAR2(4000)] string p_tipo, 
							[VARCHAR2(4000)] string p_lib, 
							[DATE] DateTime? p_vto_desde, 
							[DATE] DateTime? p_vto_hasta, 
							[VARCHAR2(4000)] string p_bco_desde, 
							[VARCHAR2(4000)] string p_bco_hasta, 
							[NUMBER] decimal? p_fra_desde, 
							[NUMBER] decimal? p_fra_hasta, 
							[VARCHAR2(4000)] string p_serie_desde, 
							[VARCHAR2(4000)] string p_serie_hasta, 
							[VARCHAR2(4000)] string p_tefect_desde, 
							[VARCHAR2(4000)] string p_tefect_hasta, 
							[DATE] DateTime? p_fech_fac_desde, 
							[DATE] DateTime? p_fech_fac_hasta, 
							[NUMBER] decimal? p_agente_desde, 
							[NUMBER] decimal? p_agente_hasta, 
							[VARCHAR2(4000)] string p_estado_desde, 
							[VARCHAR2(4000)] string p_estado_hasta, 
							[VARCHAR2(4000)] string p_list_tefect, 
							[VARCHAR2(4000)] string p_list_estado, 
							[DATE] DateTime? p_fecha_1, 
							[DATE] DateTime? p_fecha_2, 
							[NUMBER] ref decimal? p_total1, 
							[NUMBER] ref decimal? p_total2, 
							[NUMBER] ref decimal? p_total3, 
							[NUMBER] ref decimal? p_concedido);

						/// <summary>
			/// Llama a CALCULAR_RIESGO_CLIPR.
						/// </summary>
			public static void CALCULAR_RIESGO_CLIPR(
				System.Data.IDbTransaction p_transaccion, 
				string p_gru, 
				string p_emp, 
				string p_clipr, 
				string p_tipo, 
				string p_lib, 
				DateTime? p_vto_desde, 
				DateTime? p_vto_hasta, 
				string p_bco_desde, 
				string p_bco_hasta, 
				decimal? p_fra_desde, 
				decimal? p_fra_hasta, 
				string p_serie_desde, 
				string p_serie_hasta, 
				string p_tefect_desde, 
				string p_tefect_hasta, 
				DateTime? p_fech_fac_desde, 
				DateTime? p_fech_fac_hasta, 
				decimal? p_agente_desde, 
				decimal? p_agente_hasta, 
				string p_estado_desde, 
				string p_estado_hasta, 
				string p_list_tefect, 
				string p_list_estado, 
				DateTime? p_fecha_1, 
				DateTime? p_fecha_2, 
				ref decimal? p_total1, 
				ref decimal? p_total2, 
				ref decimal? p_total3, 
				ref decimal? p_concedido,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__CALCULAR_RIESGO_CLIPR_VVVVVDDVVNNVVVVDDNNVVVVDDioNioNioNioN v_calcular_riesgo_clipr;
				try {
					v_calcular_riesgo_clipr = Funcion.Crear<__CALCULAR_RIESGO_CLIPR_VVVVVDDVVNNVVVVDDNNVVVVDDioNioNioNioN>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.CALCULAR_RIESGO_CLIPR");
				}
								try {
				v_calcular_riesgo_clipr(p_transaccion, 
					p_gru, 
					p_emp, 
					p_clipr, 
					p_tipo, 
					p_lib, 
					p_vto_desde, 
					p_vto_hasta, 
					p_bco_desde, 
					p_bco_hasta, 
					p_fra_desde, 
					p_fra_hasta, 
					p_serie_desde, 
					p_serie_hasta, 
					p_tefect_desde, 
					p_tefect_hasta, 
					p_fech_fac_desde, 
					p_fech_fac_hasta, 
					p_agente_desde, 
					p_agente_hasta, 
					p_estado_desde, 
					p_estado_hasta, 
					p_list_tefect, 
					p_list_estado, 
					p_fecha_1, 
					p_fecha_2, 
					ref p_total1, 
					ref p_total2, 
					ref p_total3, 
					ref p_concedido);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.CALCULAR_RIESGO_CLIPR");
				}
							}
			
			
			#endregion

					#region CALCULAR_RIESGO_CONCEDIDO
			
			[Nombre("GGCLIPR_PKG.CALCULAR_RIESGO_CONCEDIDO")]
						[return: NUMBER]
						public delegate decimal? __CALCULAR_RIESGO_CONCEDIDO_VNV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string v_empgrupo, 
							[NUMBER(8)] int? v_ggclipr, 
							[VARCHAR2(1)] string v_tip_vc);

						/// <summary>
			/// Llama a CALCULAR_RIESGO_CONCEDIDO.
						/// </summary>
			public static decimal? CALCULAR_RIESGO_CONCEDIDO(
				System.Data.IDbTransaction p_transaccion, 
				string v_empgrupo, 
				int? v_ggclipr, 
				string v_tip_vc,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__CALCULAR_RIESGO_CONCEDIDO_VNV v_calcular_riesgo_concedido;
				try {
					v_calcular_riesgo_concedido = Funcion.Crear<__CALCULAR_RIESGO_CONCEDIDO_VNV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.CALCULAR_RIESGO_CONCEDIDO");
				}
									decimal? v_resultado;
								try {
				v_resultado = v_calcular_riesgo_concedido(p_transaccion, 
					v_empgrupo, 
					v_ggclipr, 
					v_tip_vc);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.CALCULAR_RIESGO_CONCEDIDO");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region CALCULAR_RIESGO_CONCEDIDO_ACUM
			
			[Nombre("GGCLIPR_PKG.CALCULAR_RIESGO_CONCEDIDO_ACUM")]
						[return: NUMBER]
						public delegate decimal? __CALCULAR_RIESGO_CONCEDIDO_ACUM_VNV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[NUMBER(8)] int? p_central_cod, 
							[VARCHAR2(1)] string p_tip_vc);

						/// <summary>
			/// Llama a CALCULAR_RIESGO_CONCEDIDO_ACUM.
						/// </summary>
			public static decimal? CALCULAR_RIESGO_CONCEDIDO_ACUM(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				int? p_central_cod, 
				string p_tip_vc,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__CALCULAR_RIESGO_CONCEDIDO_ACUM_VNV v_calcular_riesgo_concedido_acum;
				try {
					v_calcular_riesgo_concedido_acum = Funcion.Crear<__CALCULAR_RIESGO_CONCEDIDO_ACUM_VNV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.CALCULAR_RIESGO_CONCEDIDO_ACUM");
				}
									decimal? v_resultado;
								try {
				v_resultado = v_calcular_riesgo_concedido_acum(p_transaccion, 
					p_empgrupo_cod, 
					p_central_cod, 
					p_tip_vc);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.CALCULAR_RIESGO_CONCEDIDO_ACUM");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region CAMBIO_CONDI_ACTUALIZAR_DOC
			
			[Nombre("GGCLIPR_PKG.CAMBIO_CONDI_ACTUALIZAR_DOC")]
						public delegate void __CAMBIO_CONDI_ACTUALIZAR_DOC_N(
							System.Data.IDbTransaction p_transaccion, 
							[NUMBER] decimal? p_lisparam);

						/// <summary>
			/// Llama a CAMBIO_CONDI_ACTUALIZAR_DOC.
						/// </summary>
			public static void CAMBIO_CONDI_ACTUALIZAR_DOC(
				System.Data.IDbTransaction p_transaccion, 
				decimal? p_lisparam,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__CAMBIO_CONDI_ACTUALIZAR_DOC_N v_cambio_condi_actualizar_doc;
				try {
					v_cambio_condi_actualizar_doc = Funcion.Crear<__CAMBIO_CONDI_ACTUALIZAR_DOC_N>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.CAMBIO_CONDI_ACTUALIZAR_DOC");
				}
								try {
				v_cambio_condi_actualizar_doc(p_transaccion, 
					p_lisparam);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.CAMBIO_CONDI_ACTUALIZAR_DOC");
				}
							}
			
			
			#endregion

					#region CAMBIO_RSOCIAL_ACTUALIZAR_DOC
			
			[Nombre("GGCLIPR_PKG.CAMBIO_RSOCIAL_ACTUALIZAR_DOC")]
						public delegate void __CAMBIO_RSOCIAL_ACTUALIZAR_DOC_N(
							System.Data.IDbTransaction p_transaccion, 
							[NUMBER] decimal? p_lisparam);

						/// <summary>
			/// Llama a CAMBIO_RSOCIAL_ACTUALIZAR_DOC.
						/// </summary>
			public static void CAMBIO_RSOCIAL_ACTUALIZAR_DOC(
				System.Data.IDbTransaction p_transaccion, 
				decimal? p_lisparam,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__CAMBIO_RSOCIAL_ACTUALIZAR_DOC_N v_cambio_rsocial_actualizar_doc;
				try {
					v_cambio_rsocial_actualizar_doc = Funcion.Crear<__CAMBIO_RSOCIAL_ACTUALIZAR_DOC_N>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.CAMBIO_RSOCIAL_ACTUALIZAR_DOC");
				}
								try {
				v_cambio_rsocial_actualizar_doc(p_transaccion, 
					p_lisparam);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.CAMBIO_RSOCIAL_ACTUALIZAR_DOC");
				}
							}
			
			
			#endregion

					#region CAMBIO_RSOCIAL_ACTUALIZAR_PROY
			
			[Nombre("GGCLIPR_PKG.CAMBIO_RSOCIAL_ACTUALIZAR_PROY")]
						[return: VARCHAR2(4000)]
						public delegate string __CAMBIO_RSOCIAL_ACTUALIZAR_PROY_N(
							System.Data.IDbTransaction p_transaccion, 
							[NUMBER] decimal? p_lisparam);

						/// <summary>
			/// Llama a CAMBIO_RSOCIAL_ACTUALIZAR_PROY.
						/// </summary>
			public static string CAMBIO_RSOCIAL_ACTUALIZAR_PROY(
				System.Data.IDbTransaction p_transaccion, 
				decimal? p_lisparam,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__CAMBIO_RSOCIAL_ACTUALIZAR_PROY_N v_cambio_rsocial_actualizar_proy;
				try {
					v_cambio_rsocial_actualizar_proy = Funcion.Crear<__CAMBIO_RSOCIAL_ACTUALIZAR_PROY_N>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.CAMBIO_RSOCIAL_ACTUALIZAR_PROY");
				}
									string v_resultado;
								try {
				v_resultado = v_cambio_rsocial_actualizar_proy(p_transaccion, 
					p_lisparam);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.CAMBIO_RSOCIAL_ACTUALIZAR_PROY");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region CARGAR_PARAMETRIZACION
			
			[Nombre("GGCLIPR_PKG.CARGAR_PARAMETRIZACION")]
						public delegate void __CARGAR_PARAMETRIZACION_V(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4000)] string p_opcion);

						/// <summary>
			/// Llama a CARGAR_PARAMETRIZACION.
						/// </summary>
			public static void CARGAR_PARAMETRIZACION(
				System.Data.IDbTransaction p_transaccion, 
				string p_opcion,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__CARGAR_PARAMETRIZACION_V v_cargar_parametrizacion;
				try {
					v_cargar_parametrizacion = Funcion.Crear<__CARGAR_PARAMETRIZACION_V>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.CARGAR_PARAMETRIZACION");
				}
								try {
				v_cargar_parametrizacion(p_transaccion, 
					p_opcion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.CARGAR_PARAMETRIZACION");
				}
							}
			
			
			#endregion

					#region CENTRAL_PRECIOS
			
			[Nombre("GGCLIPR_PKG.CENTRAL_PRECIOS")]
						[return: NUMBER(8)]
						public delegate int? __CENTRAL_PRECIOS_VVNVV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(1)] string p_tip_vc, 
							[NUMBER(8)] int? p_ggclipr_cod, 
							[VARCHAR2(4000)] string p_proceso, 
							[VARCHAR2(4000)] string p_opcion);

						/// <summary>
			/// Llama a CENTRAL_PRECIOS.
						/// </summary>
			public static int? CENTRAL_PRECIOS(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_tip_vc, 
				int? p_ggclipr_cod, 
				string p_proceso, 
				string p_opcion,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__CENTRAL_PRECIOS_VVNVV v_central_precios;
				try {
					v_central_precios = Funcion.Crear<__CENTRAL_PRECIOS_VVNVV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.CENTRAL_PRECIOS");
				}
									int? v_resultado;
								try {
				v_resultado = v_central_precios(p_transaccion, 
					p_empgrupo_cod, 
					p_tip_vc, 
					p_ggclipr_cod, 
					p_proceso, 
					p_opcion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.CENTRAL_PRECIOS");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region COMPROBAR_SI_BORRAR_GGCLIPR
			
			[Nombre("GGCLIPR_PKG.COMPROBAR_SI_BORRAR_GGCLIPR")]
						[return: VARCHAR2(4000)]
						public delegate string __COMPROBAR_SI_BORRAR_GGCLIPR_VVVNVN(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(4)] string p_emp_cod, 
							[VARCHAR2(1)] string p_tip_vc, 
							[NUMBER(8)] int? p_ggclipr_cod, 
							[VARCHAR2(4000)] string p_opcion, 
							[NUMBER] decimal? p_id_listparam_opc);

						/// <summary>
			/// Llama a COMPROBAR_SI_BORRAR_GGCLIPR.
						/// </summary>
			public static string COMPROBAR_SI_BORRAR_GGCLIPR(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_emp_cod, 
				string p_tip_vc, 
				int? p_ggclipr_cod, 
				string p_opcion, 
				decimal? p_id_listparam_opc,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__COMPROBAR_SI_BORRAR_GGCLIPR_VVVNVN v_comprobar_si_borrar_ggclipr;
				try {
					v_comprobar_si_borrar_ggclipr = Funcion.Crear<__COMPROBAR_SI_BORRAR_GGCLIPR_VVVNVN>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.COMPROBAR_SI_BORRAR_GGCLIPR");
				}
									string v_resultado;
								try {
				v_resultado = v_comprobar_si_borrar_ggclipr(p_transaccion, 
					p_empgrupo_cod, 
					p_emp_cod, 
					p_tip_vc, 
					p_ggclipr_cod, 
					p_opcion, 
					p_id_listparam_opc);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.COMPROBAR_SI_BORRAR_GGCLIPR");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region CREAR_CUENTA_CONTABLE
			
			[Nombre("GGCLIPR_PKG.CREAR_CUENTA_CONTABLE")]
						public delegate void __CREAR_CUENTA_CONTABLE_VVVNVVV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(4)] string p_emp_cod, 
							[VARCHAR2(1)] string p_tip_vc, 
							[NUMBER(8)] int? p_ggclipr_cod, 
							[VARCHAR2(40)] string p_nombre, 
							[VARCHAR2(20)] string p_rsocial_cod, 
							[VARCHAR2(20)] string p_rsocial_condi);

						/// <summary>
			/// Llama a CREAR_CUENTA_CONTABLE.
						/// </summary>
			public static void CREAR_CUENTA_CONTABLE(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_emp_cod, 
				string p_tip_vc, 
				int? p_ggclipr_cod, 
				string p_nombre, 
				string p_rsocial_cod, 
				string p_rsocial_condi,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__CREAR_CUENTA_CONTABLE_VVVNVVV v_crear_cuenta_contable;
				try {
					v_crear_cuenta_contable = Funcion.Crear<__CREAR_CUENTA_CONTABLE_VVVNVVV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.CREAR_CUENTA_CONTABLE");
				}
								try {
				v_crear_cuenta_contable(p_transaccion, 
					p_empgrupo_cod, 
					p_emp_cod, 
					p_tip_vc, 
					p_ggclipr_cod, 
					p_nombre, 
					p_rsocial_cod, 
					p_rsocial_condi);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.CREAR_CUENTA_CONTABLE");
				}
							}
			
			
			#endregion

					#region CREAR_CUENTA_CONTABLE
			
			[Nombre("GGCLIPR_PKG.CREAR_CUENTA_CONTABLE")]
						public delegate void __CREAR_CUENTA_CONTABLE_N(
							System.Data.IDbTransaction p_transaccion, 
							[NUMBER] decimal? p_id_listparam);

						/// <summary>
			/// Llama a CREAR_CUENTA_CONTABLE.
						/// </summary>
			public static void CREAR_CUENTA_CONTABLE(
				System.Data.IDbTransaction p_transaccion, 
				decimal? p_id_listparam,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__CREAR_CUENTA_CONTABLE_N v_crear_cuenta_contable;
				try {
					v_crear_cuenta_contable = Funcion.Crear<__CREAR_CUENTA_CONTABLE_N>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.CREAR_CUENTA_CONTABLE");
				}
								try {
				v_crear_cuenta_contable(p_transaccion, 
					p_id_listparam);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.CREAR_CUENTA_CONTABLE");
				}
							}
			
			
			#endregion

					#region CUMPLE_PATRON_SREFER
			
			[Nombre("GGCLIPR_PKG.CUMPLE_PATRON_SREFER")]
						[return: VARCHAR2(4000)]
						public delegate string __CUMPLE_PATRON_SREFER_VVNVV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(1)] string p_tip_vc, 
							[NUMBER(8)] int? p_ggclipr_cod, 
							[VARCHAR2(10)] string p_ggclatip_cod, 
							[VARCHAR2(100)] string p_su_ref);

						/// <summary>
			/// Llama a CUMPLE_PATRON_SREFER.
						/// </summary>
			public static string CUMPLE_PATRON_SREFER(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_tip_vc, 
				int? p_ggclipr_cod, 
				string p_ggclatip_cod, 
				string p_su_ref,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__CUMPLE_PATRON_SREFER_VVNVV v_cumple_patron_srefer;
				try {
					v_cumple_patron_srefer = Funcion.Crear<__CUMPLE_PATRON_SREFER_VVNVV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.CUMPLE_PATRON_SREFER");
				}
									string v_resultado;
								try {
				v_resultado = v_cumple_patron_srefer(p_transaccion, 
					p_empgrupo_cod, 
					p_tip_vc, 
					p_ggclipr_cod, 
					p_ggclatip_cod, 
					p_su_ref);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.CUMPLE_PATRON_SREFER");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_CFCTA_DE_GGCLIPR
			
			[Nombre("GGCLIPR_PKG.DAME_CFCTA_DE_GGCLIPR")]
						[return: VARCHAR2(4000)]
						public delegate string __DAME_CFCTA_DE_GGCLIPR_VVVNVV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string v_empgrupo_cod, 
							[VARCHAR2(4)] string v_emp_cod, 
							[VARCHAR2(1)] string v_tip_vc, 
							[NUMBER(8)] int? v_cod, 
							[VARCHAR2(20)] string v_rsocial_condi, 
							[VARCHAR2(4000)] string v_opcion);

						/// <summary>
			/// Llama a DAME_CFCTA_DE_GGCLIPR.
						/// </summary>
			public static string DAME_CFCTA_DE_GGCLIPR(
				System.Data.IDbTransaction p_transaccion, 
				string v_empgrupo_cod, 
				string v_emp_cod, 
				string v_tip_vc, 
				int? v_cod, 
				string v_rsocial_condi, 
				string v_opcion,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_CFCTA_DE_GGCLIPR_VVVNVV v_dame_cfcta_de_ggclipr;
				try {
					v_dame_cfcta_de_ggclipr = Funcion.Crear<__DAME_CFCTA_DE_GGCLIPR_VVVNVV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_CFCTA_DE_GGCLIPR");
				}
									string v_resultado;
								try {
				v_resultado = v_dame_cfcta_de_ggclipr(p_transaccion, 
					v_empgrupo_cod, 
					v_emp_cod, 
					v_tip_vc, 
					v_cod, 
					v_rsocial_condi, 
					v_opcion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_CFCTA_DE_GGCLIPR");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_CLIENTE_CENTRAL
			
			[Nombre("GGCLIPR_PKG.DAME_CLIENTE_CENTRAL")]
						[return: NUMBER]
						public delegate decimal? __DAME_CLIENTE_CENTRAL_VVN(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4000)] string grup, 
							[VARCHAR2(4000)] string tvc, 
							[NUMBER] decimal? clie);

						/// <summary>
			/// Llama a DAME_CLIENTE_CENTRAL.
						/// </summary>
			public static decimal? DAME_CLIENTE_CENTRAL(
				System.Data.IDbTransaction p_transaccion, 
				string grup, 
				string tvc, 
				decimal? clie,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_CLIENTE_CENTRAL_VVN v_dame_cliente_central;
				try {
					v_dame_cliente_central = Funcion.Crear<__DAME_CLIENTE_CENTRAL_VVN>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_CLIENTE_CENTRAL");
				}
									decimal? v_resultado;
								try {
				v_resultado = v_dame_cliente_central(p_transaccion, 
					grup, 
					tvc, 
					clie);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_CLIENTE_CENTRAL");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_CLIENTE_FACTURACION
			
			[Nombre("GGCLIPR_PKG.DAME_CLIENTE_FACTURACION")]
						[return: NUMBER]
						public delegate decimal? __DAME_CLIENTE_FACTURACION_VVN(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(1)] string p_tip_vc, 
							[NUMBER(8)] int? p_ggclipr_cod);

						/// <summary>
			/// Llama a DAME_CLIENTE_FACTURACION.
						/// </summary>
			public static decimal? DAME_CLIENTE_FACTURACION(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_tip_vc, 
				int? p_ggclipr_cod,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_CLIENTE_FACTURACION_VVN v_dame_cliente_facturacion;
				try {
					v_dame_cliente_facturacion = Funcion.Crear<__DAME_CLIENTE_FACTURACION_VVN>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_CLIENTE_FACTURACION");
				}
									decimal? v_resultado;
								try {
				v_resultado = v_dame_cliente_facturacion(p_transaccion, 
					p_empgrupo_cod, 
					p_tip_vc, 
					p_ggclipr_cod);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_CLIENTE_FACTURACION");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_CONDI
			
			[Nombre("GGCLIPR_PKG.DAME_CONDI")]
						[return: VARCHAR2(4000)]
						public delegate string __DAME_CONDI_VVN(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4000)] string gru, 
							[VARCHAR2(4000)] string tvc, 
							[NUMBER] decimal? cli);

						/// <summary>
			/// Llama a DAME_CONDI.
						/// </summary>
			public static string DAME_CONDI(
				System.Data.IDbTransaction p_transaccion, 
				string gru, 
				string tvc, 
				decimal? cli,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_CONDI_VVN v_dame_condi;
				try {
					v_dame_condi = Funcion.Crear<__DAME_CONDI_VVN>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_CONDI");
				}
									string v_resultado;
								try {
				v_resultado = v_dame_condi(p_transaccion, 
					gru, 
					tvc, 
					cli);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_CONDI");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_CONDICIONES_CLIENTE
			
			[Nombre("GGCLIPR_PKG.DAME_CONDICIONES_CLIENTE")]
						public delegate void __DAME_CONDICIONES_CLIENTE_VVNoVoVoVoV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(1)] string p_tip_vc, 
							[NUMBER(8)] int? p_ggclipr_cod, 
							[VARCHAR2(20)] out string p_rsocial_condi, 
							[VARCHAR2(4)] out string p_rsoccondi_def, 
							[VARCHAR2(4)] out string p_rsocvacnom_cod, 
							[VARCHAR2(4)] out string p_rsocdomic_cod);

						/// <summary>
			/// Llama a DAME_CONDICIONES_CLIENTE.
						/// </summary>
			public static void DAME_CONDICIONES_CLIENTE(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_tip_vc, 
				int? p_ggclipr_cod, 
				out string p_rsocial_condi, 
				out string p_rsoccondi_def, 
				out string p_rsocvacnom_cod, 
				out string p_rsocdomic_cod,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_CONDICIONES_CLIENTE_VVNoVoVoVoV v_dame_condiciones_cliente;
				try {
					v_dame_condiciones_cliente = Funcion.Crear<__DAME_CONDICIONES_CLIENTE_VVNoVoVoVoV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_CONDICIONES_CLIENTE");
				}
								try {
				v_dame_condiciones_cliente(p_transaccion, 
					p_empgrupo_cod, 
					p_tip_vc, 
					p_ggclipr_cod, 
					out p_rsocial_condi, 
					out p_rsoccondi_def, 
					out p_rsocvacnom_cod, 
					out p_rsocdomic_cod);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_CONDICIONES_CLIENTE");
				}
							}
			
			
			#endregion

					#region DAME_CONTACTO_FAX
			
			[Nombre("GGCLIPR_PKG.DAME_CONTACTO_FAX")]
						public delegate void __DAME_CONTACTO_FAX_VVNoVoVoVoV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(1)] string p_tip_vc, 
							[NUMBER(8)] int? p_ggclipr_cod, 
							[VARCHAR2(40)] out string v_organizacion, 
							[VARCHAR2(40)] out string v_nombre, 
							[VARCHAR2(25)] out string v_fax, 
							[VARCHAR2(15)] out string v_contacto);

						/// <summary>
			/// Llama a DAME_CONTACTO_FAX.
						/// </summary>
			public static void DAME_CONTACTO_FAX(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_tip_vc, 
				int? p_ggclipr_cod, 
				out string v_organizacion, 
				out string v_nombre, 
				out string v_fax, 
				out string v_contacto,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_CONTACTO_FAX_VVNoVoVoVoV v_dame_contacto_fax;
				try {
					v_dame_contacto_fax = Funcion.Crear<__DAME_CONTACTO_FAX_VVNoVoVoVoV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_CONTACTO_FAX");
				}
								try {
				v_dame_contacto_fax(p_transaccion, 
					p_empgrupo_cod, 
					p_tip_vc, 
					p_ggclipr_cod, 
					out v_organizacion, 
					out v_nombre, 
					out v_fax, 
					out v_contacto);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_CONTACTO_FAX");
				}
							}
			
			
			#endregion

					#region DAME_DATOS_GGCLIPR
			
			[Nombre("GGCLIPR_PKG.DAME_DATOS_GGCLIPR")]
						public delegate void __DAME_DATOS_GGCLIPR_VVNVVN(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(1)] string p_tip_vc, 
							[NUMBER(8)] int? p_ggclipr_cod, 
							[VARCHAR2(4)] string p_emp_cod, 
							[VARCHAR2(4000)] string p_opcion, 
							[NUMBER] decimal? p_id_listparam);

						/// <summary>
			/// Llama a DAME_DATOS_GGCLIPR.
						/// </summary>
			public static void DAME_DATOS_GGCLIPR(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_tip_vc, 
				int? p_ggclipr_cod, 
				string p_emp_cod, 
				string p_opcion, 
				decimal? p_id_listparam,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_DATOS_GGCLIPR_VVNVVN v_dame_datos_ggclipr;
				try {
					v_dame_datos_ggclipr = Funcion.Crear<__DAME_DATOS_GGCLIPR_VVNVVN>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_DATOS_GGCLIPR");
				}
								try {
				v_dame_datos_ggclipr(p_transaccion, 
					p_empgrupo_cod, 
					p_tip_vc, 
					p_ggclipr_cod, 
					p_emp_cod, 
					p_opcion, 
					p_id_listparam);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_DATOS_GGCLIPR");
				}
							}
			
			
			#endregion

					#region DAME_DEVOLUCIONES_GGCLIPR
			
			[Nombre("GGCLIPR_PKG.DAME_DEVOLUCIONES_GGCLIPR")]
						[return: NUMBER]
						public delegate decimal? __DAME_DEVOLUCIONES_GGCLIPR_VVVNV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(4)] string p_emp_cod, 
							[VARCHAR2(1)] string p_tip_vc, 
							[NUMBER(8)] int? p_ggclipr_cod, 
							[VARCHAR2(4000)] string p_cliente_grupo);

						/// <summary>
			/// Llama a DAME_DEVOLUCIONES_GGCLIPR.
						/// </summary>
			public static decimal? DAME_DEVOLUCIONES_GGCLIPR(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_emp_cod, 
				string p_tip_vc, 
				int? p_ggclipr_cod, 
				string p_cliente_grupo,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_DEVOLUCIONES_GGCLIPR_VVVNV v_dame_devoluciones_ggclipr;
				try {
					v_dame_devoluciones_ggclipr = Funcion.Crear<__DAME_DEVOLUCIONES_GGCLIPR_VVVNV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_DEVOLUCIONES_GGCLIPR");
				}
									decimal? v_resultado;
								try {
				v_resultado = v_dame_devoluciones_ggclipr(p_transaccion, 
					p_empgrupo_cod, 
					p_emp_cod, 
					p_tip_vc, 
					p_ggclipr_cod, 
					p_cliente_grupo);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_DEVOLUCIONES_GGCLIPR");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_DIAS_TRANSPORTE
			
			[Nombre("GGCLIPR_PKG.DAME_DIAS_TRANSPORTE")]
						[return: NUMBER]
						public delegate decimal? __DAME_DIAS_TRANSPORTE_VVNVV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(1)] string p_tip_vc, 
							[NUMBER(8)] int? p_ggclipr_cod, 
							[VARCHAR2(20)] string p_rsocial_cod, 
							[VARCHAR2(6)] string p_rsocdir_cod);

						/// <summary>
			/// Llama a DAME_DIAS_TRANSPORTE.
						/// </summary>
			public static decimal? DAME_DIAS_TRANSPORTE(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_tip_vc, 
				int? p_ggclipr_cod, 
				string p_rsocial_cod, 
				string p_rsocdir_cod,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_DIAS_TRANSPORTE_VVNVV v_dame_dias_transporte;
				try {
					v_dame_dias_transporte = Funcion.Crear<__DAME_DIAS_TRANSPORTE_VVNVV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_DIAS_TRANSPORTE");
				}
									decimal? v_resultado;
								try {
				v_resultado = v_dame_dias_transporte(p_transaccion, 
					p_empgrupo_cod, 
					p_tip_vc, 
					p_ggclipr_cod, 
					p_rsocial_cod, 
					p_rsocdir_cod);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_DIAS_TRANSPORTE");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_DOMIC
			
			[Nombre("GGCLIPR_PKG.DAME_DOMIC")]
						[return: VARCHAR2(4000)]
						public delegate string __DAME_DOMIC_VVN(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4000)] string grup, 
							[VARCHAR2(4000)] string tvc, 
							[NUMBER] decimal? clie);

						/// <summary>
			/// Llama a DAME_DOMIC.
						/// </summary>
			public static string DAME_DOMIC(
				System.Data.IDbTransaction p_transaccion, 
				string grup, 
				string tvc, 
				decimal? clie,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_DOMIC_VVN v_dame_domic;
				try {
					v_dame_domic = Funcion.Crear<__DAME_DOMIC_VVN>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_DOMIC");
				}
									string v_resultado;
								try {
				v_resultado = v_dame_domic(p_transaccion, 
					grup, 
					tvc, 
					clie);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_DOMIC");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_FACVTOS_VENCIDOS_SN
			
			[Nombre("GGCLIPR_PKG.DAME_FACVTOS_VENCIDOS_SN")]
						[return: VARCHAR2(4000)]
						public delegate string __DAME_FACVTOS_VENCIDOS_SN_VVVN(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(4)] string p_emp_cod, 
							[VARCHAR2(1)] string p_tip_vc, 
							[NUMBER(8)] int? p_ggclipr_cod);

						/// <summary>
			/// Llama a DAME_FACVTOS_VENCIDOS_SN.
						/// </summary>
			public static string DAME_FACVTOS_VENCIDOS_SN(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_emp_cod, 
				string p_tip_vc, 
				int? p_ggclipr_cod,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_FACVTOS_VENCIDOS_SN_VVVN v_dame_facvtos_vencidos_sn;
				try {
					v_dame_facvtos_vencidos_sn = Funcion.Crear<__DAME_FACVTOS_VENCIDOS_SN_VVVN>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_FACVTOS_VENCIDOS_SN");
				}
									string v_resultado;
								try {
				v_resultado = v_dame_facvtos_vencidos_sn(p_transaccion, 
					p_empgrupo_cod, 
					p_emp_cod, 
					p_tip_vc, 
					p_ggclipr_cod);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_FACVTOS_VENCIDOS_SN");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_GGALBTIP
			
			[Nombre("GGCLIPR_PKG.DAME_GGALBTIP")]
						[return: VARCHAR2(8)]
						public delegate string __DAME_GGALBTIP_VVN(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(1)] string p_tip_vc, 
							[NUMBER(8)] int? p_ggclipr_cod);

						/// <summary>
			/// Llama a DAME_GGALBTIP.
						/// </summary>
			public static string DAME_GGALBTIP(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_tip_vc, 
				int? p_ggclipr_cod,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_GGALBTIP_VVN v_dame_ggalbtip;
				try {
					v_dame_ggalbtip = Funcion.Crear<__DAME_GGALBTIP_VVN>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_GGALBTIP");
				}
									string v_resultado;
								try {
				v_resultado = v_dame_ggalbtip(p_transaccion, 
					p_empgrupo_cod, 
					p_tip_vc, 
					p_ggclipr_cod);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_GGALBTIP");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_GGESTADO_ALERTA
			
			[Nombre("GGCLIPR_PKG.DAME_GGESTADO_ALERTA")]
						[return: VARCHAR2(4000)]
						public delegate string __DAME_GGESTADO_ALERTA_VVN(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(1)] string p_tip_vc, 
							[NUMBER(8)] int? p_ggclipr_cod);

						/// <summary>
			/// Llama a DAME_GGESTADO_ALERTA.
						/// </summary>
			public static string DAME_GGESTADO_ALERTA(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_tip_vc, 
				int? p_ggclipr_cod,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_GGESTADO_ALERTA_VVN v_dame_ggestado_alerta;
				try {
					v_dame_ggestado_alerta = Funcion.Crear<__DAME_GGESTADO_ALERTA_VVN>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_GGESTADO_ALERTA");
				}
									string v_resultado;
								try {
				v_resultado = v_dame_ggestado_alerta(p_transaccion, 
					p_empgrupo_cod, 
					p_tip_vc, 
					p_ggclipr_cod);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_GGESTADO_ALERTA");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_GGFACAGRUP_COD
			
			[Nombre("GGCLIPR_PKG.DAME_GGFACAGRUP_COD")]
						[return: VARCHAR2(4000)]
						public delegate string __DAME_GGFACAGRUP_COD_VVNV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(1)] string p_tip_vc, 
							[NUMBER(8)] int? p_ggclipr_cod, 
							[VARCHAR2(4000)] string p_opcion);

						/// <summary>
			/// Llama a DAME_GGFACAGRUP_COD.
						/// </summary>
			public static string DAME_GGFACAGRUP_COD(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_tip_vc, 
				int? p_ggclipr_cod, 
				string p_opcion,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_GGFACAGRUP_COD_VVNV v_dame_ggfacagrup_cod;
				try {
					v_dame_ggfacagrup_cod = Funcion.Crear<__DAME_GGFACAGRUP_COD_VVNV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_GGFACAGRUP_COD");
				}
									string v_resultado;
								try {
				v_resultado = v_dame_ggfacagrup_cod(p_transaccion, 
					p_empgrupo_cod, 
					p_tip_vc, 
					p_ggclipr_cod, 
					p_opcion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_GGFACAGRUP_COD");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_IDIOMA_GGCLIPR
			
			[Nombre("GGCLIPR_PKG.DAME_IDIOMA_GGCLIPR")]
						[return: VARCHAR2(4)]
						public delegate string __DAME_IDIOMA_GGCLIPR_VVVN(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(4)] string p_emp_cod, 
							[VARCHAR2(1)] string p_tip_vc, 
							[NUMBER(8)] int? p_ggclipr_cod);

						/// <summary>
			/// Llama a DAME_IDIOMA_GGCLIPR.
						/// </summary>
			public static string DAME_IDIOMA_GGCLIPR(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_emp_cod, 
				string p_tip_vc, 
				int? p_ggclipr_cod,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_IDIOMA_GGCLIPR_VVVN v_dame_idioma_ggclipr;
				try {
					v_dame_idioma_ggclipr = Funcion.Crear<__DAME_IDIOMA_GGCLIPR_VVVN>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_IDIOMA_GGCLIPR");
				}
									string v_resultado;
								try {
				v_resultado = v_dame_idioma_ggclipr(p_transaccion, 
					p_empgrupo_cod, 
					p_emp_cod, 
					p_tip_vc, 
					p_ggclipr_cod);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_IDIOMA_GGCLIPR");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_NCODPROVE
			
			[Nombre("GGCLIPR_PKG.DAME_NCODPROVE")]
						[return: VARCHAR2(15)]
						public delegate string __DAME_NCODPROVE_VVVNVV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(4)] string p_emp_cod, 
							[VARCHAR2(1)] string p_tip_vc, 
							[NUMBER(8)] int? p_ggclipr_cod, 
							[VARCHAR2(400)] string p_gs0530_ncodprove_por_empresa, 
							[VARCHAR2(4000)] string p_opcion);

						/// <summary>
			/// Llama a DAME_NCODPROVE.
						/// </summary>
			public static string DAME_NCODPROVE(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_emp_cod, 
				string p_tip_vc, 
				int? p_ggclipr_cod, 
				string p_gs0530_ncodprove_por_empresa, 
				string p_opcion,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_NCODPROVE_VVVNVV v_dame_ncodprove;
				try {
					v_dame_ncodprove = Funcion.Crear<__DAME_NCODPROVE_VVVNVV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_NCODPROVE");
				}
									string v_resultado;
								try {
				v_resultado = v_dame_ncodprove(p_transaccion, 
					p_empgrupo_cod, 
					p_emp_cod, 
					p_tip_vc, 
					p_ggclipr_cod, 
					p_gs0530_ncodprove_por_empresa, 
					p_opcion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_NCODPROVE");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_NOMBRE_CLIENTE
			
			[Nombre("GGCLIPR_PKG.DAME_NOMBRE_CLIENTE")]
						[return: VARCHAR2(4000)]
						public delegate string __DAME_NOMBRE_CLIENTE_VVN(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_grupo, 
							[VARCHAR2(1)] string p_tip_vc, 
							[NUMBER(8)] int? p_ggclipr_cod);

						/// <summary>
			/// Llama a DAME_NOMBRE_CLIENTE.
						/// </summary>
			public static string DAME_NOMBRE_CLIENTE(
				System.Data.IDbTransaction p_transaccion, 
				string p_grupo, 
				string p_tip_vc, 
				int? p_ggclipr_cod,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_NOMBRE_CLIENTE_VVN v_dame_nombre_cliente;
				try {
					v_dame_nombre_cliente = Funcion.Crear<__DAME_NOMBRE_CLIENTE_VVN>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_NOMBRE_CLIENTE");
				}
									string v_resultado;
								try {
				v_resultado = v_dame_nombre_cliente(p_transaccion, 
					p_grupo, 
					p_tip_vc, 
					p_ggclipr_cod);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_NOMBRE_CLIENTE");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_RETRASOS_GGCLIPR
			
			[Nombre("GGCLIPR_PKG.DAME_RETRASOS_GGCLIPR")]
						[return: NUMBER]
						public delegate decimal? __DAME_RETRASOS_GGCLIPR_VVVNDV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(4)] string p_emp_cod, 
							[VARCHAR2(1)] string p_tip_vc, 
							[NUMBER(8)] int? p_ggclipr_cod, 
							[DATE] DateTime? p_fecha, 
							[VARCHAR2(4000)] string p_cliente_grupo);

						/// <summary>
			/// Llama a DAME_RETRASOS_GGCLIPR.
						/// </summary>
			public static decimal? DAME_RETRASOS_GGCLIPR(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_emp_cod, 
				string p_tip_vc, 
				int? p_ggclipr_cod, 
				DateTime? p_fecha, 
				string p_cliente_grupo,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_RETRASOS_GGCLIPR_VVVNDV v_dame_retrasos_ggclipr;
				try {
					v_dame_retrasos_ggclipr = Funcion.Crear<__DAME_RETRASOS_GGCLIPR_VVVNDV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_RETRASOS_GGCLIPR");
				}
									decimal? v_resultado;
								try {
				v_resultado = v_dame_retrasos_ggclipr(p_transaccion, 
					p_empgrupo_cod, 
					p_emp_cod, 
					p_tip_vc, 
					p_ggclipr_cod, 
					p_fecha, 
					p_cliente_grupo);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_RETRASOS_GGCLIPR");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_RSOCDIR
			
			[Nombre("GGCLIPR_PKG.DAME_RSOCDIR")]
						public delegate void __DAME_RSOCDIR_VVNVVoVoV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(1)] string p_tip_vc, 
							[NUMBER(8)] int? p_ggclipr_cod, 
							[VARCHAR2(4000)] string p_rsocdir_opcion, 
							[VARCHAR2(4000)] string p_opcion, 
							[VARCHAR2(20)] out string p_rsocial_cod, 
							[VARCHAR2(6)] out string p_rsocdir_cod);

						/// <summary>
			/// Llama a DAME_RSOCDIR.
						/// </summary>
			public static void DAME_RSOCDIR(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_tip_vc, 
				int? p_ggclipr_cod, 
				string p_rsocdir_opcion, 
				string p_opcion, 
				out string p_rsocial_cod, 
				out string p_rsocdir_cod,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_RSOCDIR_VVNVVoVoV v_dame_rsocdir;
				try {
					v_dame_rsocdir = Funcion.Crear<__DAME_RSOCDIR_VVNVVoVoV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_RSOCDIR");
				}
								try {
				v_dame_rsocdir(p_transaccion, 
					p_empgrupo_cod, 
					p_tip_vc, 
					p_ggclipr_cod, 
					p_rsocdir_opcion, 
					p_opcion, 
					out p_rsocial_cod, 
					out p_rsocdir_cod);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_RSOCDIR");
				}
							}
			
			
			#endregion

					#region DAME_RSOCIAL
			
			[Nombre("GGCLIPR_PKG.DAME_RSOCIAL")]
						[return: VARCHAR2(4000)]
						public delegate string __DAME_RSOCIAL_VVN(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4000)] string grup, 
							[VARCHAR2(4000)] string tvc, 
							[NUMBER] decimal? clie);

						/// <summary>
			/// Llama a DAME_RSOCIAL.
						/// </summary>
			public static string DAME_RSOCIAL(
				System.Data.IDbTransaction p_transaccion, 
				string grup, 
				string tvc, 
				decimal? clie,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_RSOCIAL_VVN v_dame_rsocial;
				try {
					v_dame_rsocial = Funcion.Crear<__DAME_RSOCIAL_VVN>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_RSOCIAL");
				}
									string v_resultado;
								try {
				v_resultado = v_dame_rsocial(p_transaccion, 
					grup, 
					tvc, 
					clie);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_RSOCIAL");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_TARIFA_MONEDA
			
			[Nombre("GGCLIPR_PKG.DAME_TARIFA_MONEDA")]
						public delegate void __DAME_TARIFA_MONEDA_VVNoVoV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string grupo, 
							[VARCHAR2(1)] string tipo, 
							[NUMBER(8)] int? cliente, 
							[VARCHAR2(4)] out string v_gatariftip_def, 
							[VARCHAR2(4)] out string v_monedas_cod);

						/// <summary>
			/// Llama a DAME_TARIFA_MONEDA.
						/// </summary>
			public static void DAME_TARIFA_MONEDA(
				System.Data.IDbTransaction p_transaccion, 
				string grupo, 
				string tipo, 
				int? cliente, 
				out string v_gatariftip_def, 
				out string v_monedas_cod,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_TARIFA_MONEDA_VVNoVoV v_dame_tarifa_moneda;
				try {
					v_dame_tarifa_moneda = Funcion.Crear<__DAME_TARIFA_MONEDA_VVNoVoV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_TARIFA_MONEDA");
				}
								try {
				v_dame_tarifa_moneda(p_transaccion, 
					grupo, 
					tipo, 
					cliente, 
					out v_gatariftip_def, 
					out v_monedas_cod);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_TARIFA_MONEDA");
				}
							}
			
			
			#endregion

					#region DAME_TOTAL_RIESGO
			
			[Nombre("GGCLIPR_PKG.DAME_TOTAL_RIESGO")]
						public delegate void __DAME_TOTAL_RIESGO_VVVNNVVoNoNoNoNoN(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(4)] string p_emp_cod, 
							[VARCHAR2(1)] string p_tip_vc, 
							[NUMBER(8)] int? p_central_cod, 
							[NUMBER(8)] int? p_ggclipr_cod, 
							[VARCHAR2(4000)] string p_opcion_cliente_grupo, 
							[VARCHAR2(4000)] string p_ggclipr_calc_riesgo_grupo_sn, 
							[NUMBER] out decimal? p_total_riesgo, 
							[NUMBER] out decimal? p_pdte_servir_en_riesgo, 
							[NUMBER] out decimal? p_servido_sin_facturar, 
							[NUMBER] out decimal? p_facturado_sin_remesar, 
							[NUMBER] out decimal? p_remesado_sin_vencer);

						/// <summary>
			/// Llama a DAME_TOTAL_RIESGO.
						/// </summary>
			public static void DAME_TOTAL_RIESGO(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_emp_cod, 
				string p_tip_vc, 
				int? p_central_cod, 
				int? p_ggclipr_cod, 
				string p_opcion_cliente_grupo, 
				string p_ggclipr_calc_riesgo_grupo_sn, 
				out decimal? p_total_riesgo, 
				out decimal? p_pdte_servir_en_riesgo, 
				out decimal? p_servido_sin_facturar, 
				out decimal? p_facturado_sin_remesar, 
				out decimal? p_remesado_sin_vencer,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_TOTAL_RIESGO_VVVNNVVoNoNoNoNoN v_dame_total_riesgo;
				try {
					v_dame_total_riesgo = Funcion.Crear<__DAME_TOTAL_RIESGO_VVVNNVVoNoNoNoNoN>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_TOTAL_RIESGO");
				}
								try {
				v_dame_total_riesgo(p_transaccion, 
					p_empgrupo_cod, 
					p_emp_cod, 
					p_tip_vc, 
					p_central_cod, 
					p_ggclipr_cod, 
					p_opcion_cliente_grupo, 
					p_ggclipr_calc_riesgo_grupo_sn, 
					out p_total_riesgo, 
					out p_pdte_servir_en_riesgo, 
					out p_servido_sin_facturar, 
					out p_facturado_sin_remesar, 
					out p_remesado_sin_vencer);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_TOTAL_RIESGO");
				}
							}
			
			
			#endregion

					#region DAME_TRADUC_CLIPRO
			
			[Nombre("GGCLIPR_PKG.DAME_TRADUC_CLIPRO")]
						[return: VARCHAR2(4000)]
						public delegate string __DAME_TRADUC_CLIPRO_V(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4000)] string p_tip_vc);

						/// <summary>
			/// Llama a DAME_TRADUC_CLIPRO.
						/// </summary>
			public static string DAME_TRADUC_CLIPRO(
				System.Data.IDbTransaction p_transaccion, 
				string p_tip_vc,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_TRADUC_CLIPRO_V v_dame_traduc_clipro;
				try {
					v_dame_traduc_clipro = Funcion.Crear<__DAME_TRADUC_CLIPRO_V>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_TRADUC_CLIPRO");
				}
									string v_resultado;
								try {
				v_resultado = v_dame_traduc_clipro(p_transaccion, 
					p_tip_vc);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_TRADUC_CLIPRO");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_VAC
			
			[Nombre("GGCLIPR_PKG.DAME_VAC")]
						[return: VARCHAR2(4000)]
						public delegate string __DAME_VAC_VVN(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4000)] string grup, 
							[VARCHAR2(4000)] string tvc, 
							[NUMBER] decimal? clie);

						/// <summary>
			/// Llama a DAME_VAC.
						/// </summary>
			public static string DAME_VAC(
				System.Data.IDbTransaction p_transaccion, 
				string grup, 
				string tvc, 
				decimal? clie,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_VAC_VVN v_dame_vac;
				try {
					v_dame_vac = Funcion.Crear<__DAME_VAC_VVN>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_VAC");
				}
									string v_resultado;
								try {
				v_resultado = v_dame_vac(p_transaccion, 
					grup, 
					tvc, 
					clie);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DAME_VAC");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DATOS_DIR
			
			[Nombre("GGCLIPR_PKG.DATOS_DIR")]
						[return: VARCHAR2(4000)]
						public delegate string __DATOS_DIR_VVNVVVV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(1)] string p_tip_vc, 
							[NUMBER(8)] int? p_ggclipr_cod, 
							[VARCHAR2(4000)] string p_tipo_dir, 
							[VARCHAR2(20)] string p_rsocial_cod, 
							[VARCHAR2(6)] string p_rsocdir_cod, 
							[VARCHAR2(4000)] string p_opcion);

						/// <summary>
			/// Llama a DATOS_DIR.
						/// </summary>
			public static string DATOS_DIR(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_tip_vc, 
				int? p_ggclipr_cod, 
				string p_tipo_dir, 
				string p_rsocial_cod, 
				string p_rsocdir_cod, 
				string p_opcion,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DATOS_DIR_VVNVVVV v_datos_dir;
				try {
					v_datos_dir = Funcion.Crear<__DATOS_DIR_VVNVVVV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DATOS_DIR");
				}
									string v_resultado;
								try {
				v_resultado = v_datos_dir(p_transaccion, 
					p_empgrupo_cod, 
					p_tip_vc, 
					p_ggclipr_cod, 
					p_tipo_dir, 
					p_rsocial_cod, 
					p_rsocdir_cod, 
					p_opcion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DATOS_DIR");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DATOS_VALIDOS_GGCLIPR_RSOCIAL
			
			[Nombre("GGCLIPR_PKG.DATOS_VALIDOS_GGCLIPR_RSOCIAL")]
						public delegate void __DATOS_VALIDOS_GGCLIPR_RSOCIAL_N(
							System.Data.IDbTransaction p_transaccion, 
							[NUMBER] decimal? p_lisparam);

						/// <summary>
			/// Llama a DATOS_VALIDOS_GGCLIPR_RSOCIAL.
						/// </summary>
			public static void DATOS_VALIDOS_GGCLIPR_RSOCIAL(
				System.Data.IDbTransaction p_transaccion, 
				decimal? p_lisparam,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DATOS_VALIDOS_GGCLIPR_RSOCIAL_N v_datos_validos_ggclipr_rsocial;
				try {
					v_datos_validos_ggclipr_rsocial = Funcion.Crear<__DATOS_VALIDOS_GGCLIPR_RSOCIAL_N>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DATOS_VALIDOS_GGCLIPR_RSOCIAL");
				}
								try {
				v_datos_validos_ggclipr_rsocial(p_transaccion, 
					p_lisparam);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DATOS_VALIDOS_GGCLIPR_RSOCIAL");
				}
							}
			
			
			#endregion

					#region DIME_SI_ADJUNTAR_PDF_FAC_GNE
			
			[Nombre("GGCLIPR_PKG.DIME_SI_ADJUNTAR_PDF_FAC_GNE")]
						[return: VARCHAR2(4000)]
						public delegate string __DIME_SI_ADJUNTAR_PDF_FAC_GNE_VVN(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(1)] string p_tip_vc, 
							[NUMBER(8)] int? p_ggclipr_cod);

						/// <summary>
			/// Llama a DIME_SI_ADJUNTAR_PDF_FAC_GNE.
						/// </summary>
			public static string DIME_SI_ADJUNTAR_PDF_FAC_GNE(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_tip_vc, 
				int? p_ggclipr_cod,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DIME_SI_ADJUNTAR_PDF_FAC_GNE_VVN v_dime_si_adjuntar_pdf_fac_gne;
				try {
					v_dime_si_adjuntar_pdf_fac_gne = Funcion.Crear<__DIME_SI_ADJUNTAR_PDF_FAC_GNE_VVN>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DIME_SI_ADJUNTAR_PDF_FAC_GNE");
				}
									string v_resultado;
								try {
				v_resultado = v_dime_si_adjuntar_pdf_fac_gne(p_transaccion, 
					p_empgrupo_cod, 
					p_tip_vc, 
					p_ggclipr_cod);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DIME_SI_ADJUNTAR_PDF_FAC_GNE");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DIME_SI_GGCLIPR_CORRECTO
			
			[Nombre("GGCLIPR_PKG.DIME_SI_GGCLIPR_CORRECTO")]
						[return: VARCHAR2(4000)]
						public delegate string __DIME_SI_GGCLIPR_CORRECTO_VVNNNVDVVVV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(1)] string p_tip_vc, 
							[NUMBER(8)] int? p_ggclipr_cod, 
							[NUMBER(8)] int? p_ggclipr_cod_desde, 
							[NUMBER(8)] int? p_ggclipr_cod_hasta, 
							[VARCHAR2(4)] string p_emp_master, 
							[DATE] DateTime? p_fecha, 
							[VARCHAR2(4000)] string p_controlar_cero, 
							[VARCHAR2(4000)] string p_controlar_emp_master, 
							[VARCHAR2(4000)] string p_controlar_fechas, 
							[VARCHAR2(4000)] string p_controlar_restric);

						/// <summary>
			/// Llama a DIME_SI_GGCLIPR_CORRECTO.
						/// </summary>
			public static string DIME_SI_GGCLIPR_CORRECTO(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_tip_vc, 
				int? p_ggclipr_cod, 
				int? p_ggclipr_cod_desde, 
				int? p_ggclipr_cod_hasta, 
				string p_emp_master, 
				DateTime? p_fecha, 
				string p_controlar_cero, 
				string p_controlar_emp_master, 
				string p_controlar_fechas, 
				string p_controlar_restric,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DIME_SI_GGCLIPR_CORRECTO_VVNNNVDVVVV v_dime_si_ggclipr_correcto;
				try {
					v_dime_si_ggclipr_correcto = Funcion.Crear<__DIME_SI_GGCLIPR_CORRECTO_VVNNNVDVVVV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DIME_SI_GGCLIPR_CORRECTO");
				}
									string v_resultado;
								try {
				v_resultado = v_dime_si_ggclipr_correcto(p_transaccion, 
					p_empgrupo_cod, 
					p_tip_vc, 
					p_ggclipr_cod, 
					p_ggclipr_cod_desde, 
					p_ggclipr_cod_hasta, 
					p_emp_master, 
					p_fecha, 
					p_controlar_cero, 
					p_controlar_emp_master, 
					p_controlar_fechas, 
					p_controlar_restric);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DIME_SI_GGCLIPR_CORRECTO");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DIME_SI_GGCLIPR_CORRECTO_LOV
			
			[Nombre("GGCLIPR_PKG.DIME_SI_GGCLIPR_CORRECTO_LOV")]
						[return: VARCHAR2(4000)]
						public delegate string __DIME_SI_GGCLIPR_CORRECTO_LOV_VVNVVDDNNVVDVVVVVV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(1)] string p_tip_vc, 
							[NUMBER(8)] int? p_ggclipr_cod, 
							[VARCHAR2(40)] string p_ggclipr_nombre, 
							[VARCHAR2(4)] string p_emp_master, 
							[DATE] DateTime? p_f_alta, 
							[DATE] DateTime? p_f_baja, 
							[NUMBER(8)] int? p_ggclipr_cod_desde, 
							[NUMBER(8)] int? p_ggclipr_cod_hasta, 
							[VARCHAR2(40)] string p_nombre_desde, 
							[VARCHAR2(40)] string p_nombre_hasta, 
							[DATE] DateTime? p_fecha, 
							[VARCHAR2(4)] string p_emp_cod, 
							[VARCHAR2(4000)] string p_controlar_cero, 
							[VARCHAR2(4000)] string p_controlar_emp_master, 
							[VARCHAR2(4000)] string p_controlar_f_alta_sn, 
							[VARCHAR2(4000)] string p_controlar_f_baja_sn, 
							[VARCHAR2(4000)] string p_controlar_restric);

						/// <summary>
			/// Llama a DIME_SI_GGCLIPR_CORRECTO_LOV.
						/// </summary>
			public static string DIME_SI_GGCLIPR_CORRECTO_LOV(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_tip_vc, 
				int? p_ggclipr_cod, 
				string p_ggclipr_nombre, 
				string p_emp_master, 
				DateTime? p_f_alta, 
				DateTime? p_f_baja, 
				int? p_ggclipr_cod_desde, 
				int? p_ggclipr_cod_hasta, 
				string p_nombre_desde, 
				string p_nombre_hasta, 
				DateTime? p_fecha, 
				string p_emp_cod, 
				string p_controlar_cero, 
				string p_controlar_emp_master, 
				string p_controlar_f_alta_sn, 
				string p_controlar_f_baja_sn, 
				string p_controlar_restric,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DIME_SI_GGCLIPR_CORRECTO_LOV_VVNVVDDNNVVDVVVVVV v_dime_si_ggclipr_correcto_lov;
				try {
					v_dime_si_ggclipr_correcto_lov = Funcion.Crear<__DIME_SI_GGCLIPR_CORRECTO_LOV_VVNVVDDNNVVDVVVVVV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DIME_SI_GGCLIPR_CORRECTO_LOV");
				}
									string v_resultado;
								try {
				v_resultado = v_dime_si_ggclipr_correcto_lov(p_transaccion, 
					p_empgrupo_cod, 
					p_tip_vc, 
					p_ggclipr_cod, 
					p_ggclipr_nombre, 
					p_emp_master, 
					p_f_alta, 
					p_f_baja, 
					p_ggclipr_cod_desde, 
					p_ggclipr_cod_hasta, 
					p_nombre_desde, 
					p_nombre_hasta, 
					p_fecha, 
					p_emp_cod, 
					p_controlar_cero, 
					p_controlar_emp_master, 
					p_controlar_f_alta_sn, 
					p_controlar_f_baja_sn, 
					p_controlar_restric);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DIME_SI_GGCLIPR_CORRECTO_LOV");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DIME_SI_IMPUESTOS_DEFINIDOS
			
			[Nombre("GGCLIPR_PKG.DIME_SI_IMPUESTOS_DEFINIDOS")]
						public delegate void __DIME_SI_IMPUESTOS_DEFINIDOS_VVNVoVoV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(1)] string p_tip_vc, 
							[NUMBER(8)] int? p_ggclipr_cod, 
							[VARCHAR2(4000)] string p_opcion, 
							[VARCHAR2(4000)] out string p_impuestos_definidos, 
							[VARCHAR2(4)] out string p_tipo_aplic_impu);

						/// <summary>
			/// Llama a DIME_SI_IMPUESTOS_DEFINIDOS.
						/// </summary>
			public static void DIME_SI_IMPUESTOS_DEFINIDOS(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_tip_vc, 
				int? p_ggclipr_cod, 
				string p_opcion, 
				out string p_impuestos_definidos, 
				out string p_tipo_aplic_impu,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DIME_SI_IMPUESTOS_DEFINIDOS_VVNVoVoV v_dime_si_impuestos_definidos;
				try {
					v_dime_si_impuestos_definidos = Funcion.Crear<__DIME_SI_IMPUESTOS_DEFINIDOS_VVNVoVoV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DIME_SI_IMPUESTOS_DEFINIDOS");
				}
								try {
				v_dime_si_impuestos_definidos(p_transaccion, 
					p_empgrupo_cod, 
					p_tip_vc, 
					p_ggclipr_cod, 
					p_opcion, 
					out p_impuestos_definidos, 
					out p_tipo_aplic_impu);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.DIME_SI_IMPUESTOS_DEFINIDOS");
				}
							}
			
			
			#endregion

					#region ES_AGENTE_DE_ADUANAS_SN
			
			[Nombre("GGCLIPR_PKG.ES_AGENTE_DE_ADUANAS_SN")]
						[return: VARCHAR2(4000)]
						public delegate string __ES_AGENTE_DE_ADUANAS_SN_VVNV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(1)] string p_tip_vc, 
							[NUMBER(8)] int? p_ggclipr_cod, 
							[VARCHAR2(400)] string p_cfivaclase_aduana);

						/// <summary>
			/// Llama a ES_AGENTE_DE_ADUANAS_SN.
						/// </summary>
			public static string ES_AGENTE_DE_ADUANAS_SN(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_tip_vc, 
				int? p_ggclipr_cod, 
				string p_cfivaclase_aduana,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__ES_AGENTE_DE_ADUANAS_SN_VVNV v_es_agente_de_aduanas_sn;
				try {
					v_es_agente_de_aduanas_sn = Funcion.Crear<__ES_AGENTE_DE_ADUANAS_SN_VVNV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.ES_AGENTE_DE_ADUANAS_SN");
				}
									string v_resultado;
								try {
				v_resultado = v_es_agente_de_aduanas_sn(p_transaccion, 
					p_empgrupo_cod, 
					p_tip_vc, 
					p_ggclipr_cod, 
					p_cfivaclase_aduana);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.ES_AGENTE_DE_ADUANAS_SN");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region ES_CENTRAL_PRECIOS
			
			[Nombre("GGCLIPR_PKG.ES_CENTRAL_PRECIOS")]
						[return: VARCHAR2(4000)]
						public delegate string __ES_CENTRAL_PRECIOS_VVNV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(1)] string p_tip_vc, 
							[NUMBER(8)] int? p_ggclipr_cod, 
							[VARCHAR2(4000)] string p_opcion);

						/// <summary>
			/// Llama a ES_CENTRAL_PRECIOS.
						/// </summary>
			public static string ES_CENTRAL_PRECIOS(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_tip_vc, 
				int? p_ggclipr_cod, 
				string p_opcion,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__ES_CENTRAL_PRECIOS_VVNV v_es_central_precios;
				try {
					v_es_central_precios = Funcion.Crear<__ES_CENTRAL_PRECIOS_VVNV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.ES_CENTRAL_PRECIOS");
				}
									string v_resultado;
								try {
				v_resultado = v_es_central_precios(p_transaccion, 
					p_empgrupo_cod, 
					p_tip_vc, 
					p_ggclipr_cod, 
					p_opcion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.ES_CENTRAL_PRECIOS");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region ES_NACIONAL
			
			[Nombre("GGCLIPR_PKG.ES_NACIONAL")]
						[return: VARCHAR2(4000)]
						public delegate string __ES_NACIONAL_VVNVV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(1)] string p_tip_vc, 
							[NUMBER(8)] int? p_ggclipr_cod, 
							[VARCHAR2(4000)] string p_proceso, 
							[VARCHAR2(4000)] string p_opcion);

						/// <summary>
			/// Llama a ES_NACIONAL.
						/// </summary>
			public static string ES_NACIONAL(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_tip_vc, 
				int? p_ggclipr_cod, 
				string p_proceso, 
				string p_opcion,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__ES_NACIONAL_VVNVV v_es_nacional;
				try {
					v_es_nacional = Funcion.Crear<__ES_NACIONAL_VVNVV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.ES_NACIONAL");
				}
									string v_resultado;
								try {
				v_resultado = v_es_nacional(p_transaccion, 
					p_empgrupo_cod, 
					p_tip_vc, 
					p_ggclipr_cod, 
					p_proceso, 
					p_opcion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.ES_NACIONAL");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region ES_SEGUIDOR_CENTRAL_PRECIOS
			
			[Nombre("GGCLIPR_PKG.ES_SEGUIDOR_CENTRAL_PRECIOS")]
						[return: VARCHAR2(4000)]
						public delegate string __ES_SEGUIDOR_CENTRAL_PRECIOS_VVNV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(1)] string p_tip_vc, 
							[NUMBER(8)] int? p_ggclipr_cod, 
							[VARCHAR2(4000)] string p_opcion);

						/// <summary>
			/// Llama a ES_SEGUIDOR_CENTRAL_PRECIOS.
						/// </summary>
			public static string ES_SEGUIDOR_CENTRAL_PRECIOS(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_tip_vc, 
				int? p_ggclipr_cod, 
				string p_opcion,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__ES_SEGUIDOR_CENTRAL_PRECIOS_VVNV v_es_seguidor_central_precios;
				try {
					v_es_seguidor_central_precios = Funcion.Crear<__ES_SEGUIDOR_CENTRAL_PRECIOS_VVNV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.ES_SEGUIDOR_CENTRAL_PRECIOS");
				}
									string v_resultado;
								try {
				v_resultado = v_es_seguidor_central_precios(p_transaccion, 
					p_empgrupo_cod, 
					p_tip_vc, 
					p_ggclipr_cod, 
					p_opcion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.ES_SEGUIDOR_CENTRAL_PRECIOS");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region GGCLIPR_AR_TRG
			
			[Nombre("GGCLIPR_PKG.GGCLIPR_AR_TRG")]
						public delegate void __GGCLIPR_AR_TRG_N(
							System.Data.IDbTransaction p_transaccion, 
							[NUMBER] decimal? p_lisparam);

						/// <summary>
			/// Llama a GGCLIPR_AR_TRG.
						/// </summary>
			public static void GGCLIPR_AR_TRG(
				System.Data.IDbTransaction p_transaccion, 
				decimal? p_lisparam,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__GGCLIPR_AR_TRG_N v_ggclipr_ar_trg;
				try {
					v_ggclipr_ar_trg = Funcion.Crear<__GGCLIPR_AR_TRG_N>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.GGCLIPR_AR_TRG");
				}
								try {
				v_ggclipr_ar_trg(p_transaccion, 
					p_lisparam);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.GGCLIPR_AR_TRG");
				}
							}
			
			
			#endregion

					#region GGCLIPR_CFCTA_DEVOLVER
			
			[Nombre("GGCLIPR_PKG.GGCLIPR_CFCTA_DEVOLVER")]
						[return: VARCHAR2(4000)]
						public delegate string __GGCLIPR_CFCTA_DEVOLVER_VVVN(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string v_empgrupo_cod, 
							[VARCHAR2(4)] string v_emp_cod, 
							[VARCHAR2(1)] string v_tip_vc, 
							[NUMBER(8)] int? v_cod);

						/// <summary>
			/// Llama a GGCLIPR_CFCTA_DEVOLVER.
						/// </summary>
			public static string GGCLIPR_CFCTA_DEVOLVER(
				System.Data.IDbTransaction p_transaccion, 
				string v_empgrupo_cod, 
				string v_emp_cod, 
				string v_tip_vc, 
				int? v_cod,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__GGCLIPR_CFCTA_DEVOLVER_VVVN v_ggclipr_cfcta_devolver;
				try {
					v_ggclipr_cfcta_devolver = Funcion.Crear<__GGCLIPR_CFCTA_DEVOLVER_VVVN>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.GGCLIPR_CFCTA_DEVOLVER");
				}
									string v_resultado;
								try {
				v_resultado = v_ggclipr_cfcta_devolver(p_transaccion, 
					v_empgrupo_cod, 
					v_emp_cod, 
					v_tip_vc, 
					v_cod);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.GGCLIPR_CFCTA_DEVOLVER");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region GVAGENTE_COD
			
			[Nombre("GGCLIPR_PKG.GVAGENTE_COD")]
						[return: NUMBER(8)]
						public delegate int? __GVAGENTE_COD_VVNV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(1)] string p_tip_vc, 
							[NUMBER(8)] int? p_ggclipr_cod, 
							[VARCHAR2(4000)] string p_opcion);

						/// <summary>
			/// Llama a GVAGENTE_COD.
						/// </summary>
			public static int? GVAGENTE_COD(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_tip_vc, 
				int? p_ggclipr_cod, 
				string p_opcion,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__GVAGENTE_COD_VVNV v_gvagente_cod;
				try {
					v_gvagente_cod = Funcion.Crear<__GVAGENTE_COD_VVNV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.GVAGENTE_COD");
				}
									int? v_resultado;
								try {
				v_resultado = v_gvagente_cod(p_transaccion, 
					p_empgrupo_cod, 
					p_tip_vc, 
					p_ggclipr_cod, 
					p_opcion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.GVAGENTE_COD");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region MIRA_MOROSO
			
			[Nombre("GGCLIPR_PKG.MIRA_MOROSO")]
						[return: VARCHAR2(4000)]
						public delegate string __MIRA_MOROSO_VVVN(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(4)] string p_emp_cod, 
							[VARCHAR2(1)] string p_tip_vc, 
							[NUMBER(8)] int? v_cli);

						/// <summary>
			/// Llama a MIRA_MOROSO.
						/// </summary>
			public static string MIRA_MOROSO(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_emp_cod, 
				string p_tip_vc, 
				int? v_cli,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__MIRA_MOROSO_VVVN v_mira_moroso;
				try {
					v_mira_moroso = Funcion.Crear<__MIRA_MOROSO_VVVN>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.MIRA_MOROSO");
				}
									string v_resultado;
								try {
				v_resultado = v_mira_moroso(p_transaccion, 
					p_empgrupo_cod, 
					p_emp_cod, 
					p_tip_vc, 
					v_cli);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.MIRA_MOROSO");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region MODO_FIRMA_FACT
			
			[Nombre("GGCLIPR_PKG.MODO_FIRMA_FACT")]
						[return: VARCHAR2(1)]
						public delegate string __MODO_FIRMA_FACT_VVN(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(1)] string p_tip_vc, 
							[NUMBER(8)] int? p_ggclipr_cod);

						/// <summary>
			/// Llama a MODO_FIRMA_FACT.
						/// </summary>
			public static string MODO_FIRMA_FACT(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_tip_vc, 
				int? p_ggclipr_cod,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__MODO_FIRMA_FACT_VVN v_modo_firma_fact;
				try {
					v_modo_firma_fact = Funcion.Crear<__MODO_FIRMA_FACT_VVN>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.MODO_FIRMA_FACT");
				}
									string v_resultado;
								try {
				v_resultado = v_modo_firma_fact(p_transaccion, 
					p_empgrupo_cod, 
					p_tip_vc, 
					p_ggclipr_cod);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.MODO_FIRMA_FACT");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region OPC_ZONA_IMPU
			
			[Nombre("GGCLIPR_PKG.OPC_ZONA_IMPU")]
						[return: VARCHAR2(4000)]
						public delegate string __OPC_ZONA_IMPU_VVNVV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(1)] string p_tip_vc, 
							[NUMBER(8)] int? p_ggclipr_cod, 
							[VARCHAR2(4000)] string p_es_envio_intra, 
							[VARCHAR2(4000)] string p_opcion);

						/// <summary>
			/// Llama a OPC_ZONA_IMPU.
						/// </summary>
			public static string OPC_ZONA_IMPU(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_tip_vc, 
				int? p_ggclipr_cod, 
				string p_es_envio_intra, 
				string p_opcion,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__OPC_ZONA_IMPU_VVNVV v_opc_zona_impu;
				try {
					v_opc_zona_impu = Funcion.Crear<__OPC_ZONA_IMPU_VVNVV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.OPC_ZONA_IMPU");
				}
									string v_resultado;
								try {
				v_resultado = v_opc_zona_impu(p_transaccion, 
					p_empgrupo_cod, 
					p_tip_vc, 
					p_ggclipr_cod, 
					p_es_envio_intra, 
					p_opcion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.OPC_ZONA_IMPU");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region PAISES_COD
			
			[Nombre("GGCLIPR_PKG.PAISES_COD")]
						[return: VARCHAR2(4)]
						public delegate string __PAISES_COD_VVNVV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(1)] string p_tip_vc, 
							[NUMBER(8)] int? p_ggclipr_cod, 
							[VARCHAR2(4000)] string p_tipo_dir, 
							[VARCHAR2(4000)] string p_opcion);

						/// <summary>
			/// Llama a PAISES_COD.
						/// </summary>
			public static string PAISES_COD(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_tip_vc, 
				int? p_ggclipr_cod, 
				string p_tipo_dir, 
				string p_opcion,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__PAISES_COD_VVNVV v_paises_cod;
				try {
					v_paises_cod = Funcion.Crear<__PAISES_COD_VVNVV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.PAISES_COD");
				}
									string v_resultado;
								try {
				v_resultado = v_paises_cod(p_transaccion, 
					p_empgrupo_cod, 
					p_tip_vc, 
					p_ggclipr_cod, 
					p_tipo_dir, 
					p_opcion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.PAISES_COD");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region TIPO_APLIC_IMPU
			
			[Nombre("GGCLIPR_PKG.TIPO_APLIC_IMPU")]
						[return: VARCHAR2(4)]
						public delegate string __TIPO_APLIC_IMPU_VVNV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(1)] string p_tip_vc, 
							[NUMBER(8)] int? p_ggclipr_cod, 
							[VARCHAR2(4000)] string p_opcion);

						/// <summary>
			/// Llama a TIPO_APLIC_IMPU.
						/// </summary>
			public static string TIPO_APLIC_IMPU(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_tip_vc, 
				int? p_ggclipr_cod, 
				string p_opcion,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__TIPO_APLIC_IMPU_VVNV v_tipo_aplic_impu;
				try {
					v_tipo_aplic_impu = Funcion.Crear<__TIPO_APLIC_IMPU_VVNV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.TIPO_APLIC_IMPU");
				}
									string v_resultado;
								try {
				v_resultado = v_tipo_aplic_impu(p_transaccion, 
					p_empgrupo_cod, 
					p_tip_vc, 
					p_ggclipr_cod, 
					p_opcion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GGCLIPR_PKG.TIPO_APLIC_IMPU");
				}
									return v_resultado;
							}
			
			
			#endregion

			}
}